# Uses of Class
org.apache.sysds.api.mlcontext.ScriptExecutor

Packages that use ScriptExecutor
Package
Description
org.apache.sysds.api
org.apache.sysds.api.mlcontext

## Uses of ScriptExecutor in org.apache.sysds.api

Methods in org.apache.sysds.api with parameters of type ScriptExecutor
Modifier and Type
Method
Description
`static void`
ScriptExecutorUtils.`executeRuntimeProgram(ScriptExecutor se, int statisticsMaxHeavyHitters)`
Execute the runtime program.

## Uses of ScriptExecutor in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext that return ScriptExecutor
Modifier and Type
Method
Description
`ScriptExecutor`
Script.`getScriptExecutor()`
Obtain the script executor used by this Script.
Methods in org.apache.sysds.api.mlcontext with parameters of type ScriptExecutor
Modifier and Type
Method
Description
`MLResults`
MLContext.`execute(Script script, ScriptExecutor scriptExecutor)`
Execute a DML or PYDML Script object using a ScriptExecutor.
`void`
Script.`setScriptExecutor(ScriptExecutor scriptExecutor)`
Set the ScriptExecutor used by this Script.